Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ow2.jasmine.vmm.api
Class ResourceUsage.DiskStats

    java.lang.Object
      org.ow2.jasmine.vmm.api.ResourceUsage.DiskStats

All Implemented Interfaces:
  java.io.Serializable

Enclosing class:
  ResourceUsage

    public static class ResourceUsage.DiskStats

extends java.lang.Object
implements java.io.Serializable

Disk I/O performance metrics of a device

See Also:
  Serialized Form

Constructor Summary
`ResourceUsage.DiskStats()` Construct a new DiskStats instance
`ResourceUsage.DiskStats(java.lang.String deviceName, long diskReadKBytePerSec, long diskWrittenKBytesPerSec)` Constructs a new DiskStats instance

Method Summary
`java.lang.String` | `getDeviceName()` Returns the name of the storage device
`long` | `getDiskReadKBytePerSec()` Returns the number of kilobytes read per second
`long` | `getDiskWrittenKBytesPerSec()` Returns the number of kilobytes written per second
`void` | `setDeviceName(java.lang.String deviceName)` Sets the device name
`void` | `setDiskReadKBytePerSec(long diskReadKBytePerSec)` Sets the number of kilobytes read per second
`void` | `setDiskWrittenKBytesPerSec(long diskWrittenKBytesPerSec)` Sets the number of kilobytes written per second
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ResourceUsage.DiskStats

    public ResourceUsage.DiskStats()

  Construct a new DiskStats instance

### ResourceUsage.DiskStats

    public ResourceUsage.DiskStats(java.lang.String deviceName,
                                   long diskReadKBytePerSec,
                                   long diskWrittenKBytesPerSec)

  Constructs a new DiskStats instance

  Parameters:
    `deviceName` - name of the device
    `diskReadKBytePerSec` - number of kilobytes read per second
    `diskWrittenKBytesPerSec` - number of kilobytes written per second

Method Detail

### getDeviceName

    public java.lang.String getDeviceName()

  Returns the name of the storage device

  Returns:
    name of the storage device

### getDiskReadKBytePerSec

    public long getDiskReadKBytePerSec()

  Returns the number of kilobytes read per second

  Returns:
    number of kilobytes read per second

### getDiskWrittenKBytesPerSec

    public long getDiskWrittenKBytesPerSec()

  Returns the number of kilobytes written per second

  Returns:
    number of kilobytes written per second

### setDeviceName

    public void setDeviceName(java.lang.String deviceName)

  Sets the device name

  Parameters:
    `deviceName` - device name

### setDiskReadKBytePerSec

    public void setDiskReadKBytePerSec(long diskReadKBytePerSec)

  Sets the number of kilobytes read per second

  Parameters:
    `diskReadKBytePerSec` - number of kilobytes read per second

### setDiskWrittenKBytesPerSec

    public void setDiskWrittenKBytesPerSec(long diskWrittenKBytesPerSec)

  Sets the number of kilobytes written per second

  Parameters:
    `diskWrittenKBytesPerSec` - number of kilobytes written per second

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 OW2 Consortium. All Rights Reserved.